#pragma once

#include <iostream>

HRESULT Logger(std::string func, std::string file, int line, HRESULT hr);

#define Error(x)\
	Logger(#x, __FILE__, __LINE__, 2);	

#define ErrorHR(x)\
	Logger(#x, __FILE__, __LINE__, x);


bool Log_Open(std::string);
void Log_Write(std::string);
bool Log_Close();